Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class DrugType

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.DrugType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DrugType
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrugType()` |
    `DrugType​(java.lang.String typeName)` |
    `DrugType​(java.lang.String sctid, java.lang.String typeName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<GenericDrugtypeInfo>` | `getGenericDrugtypeInfos()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getSctid()` |
    `java.lang.String` | `getTypeName()` |
    `void` | `setGenericDrugtypeInfos​(java.util.List<GenericDrugtypeInfo> genericDrugtypeInfos)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setSctid​(java.lang.String sctid)` |
    `void` | `setTypeName​(java.lang.String typeName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrugType

          public DrugType​(java.lang.String typeName)

    - #### DrugType

          public DrugType​(java.lang.String sctid,
                          java.lang.String typeName)

    - #### DrugType

          public DrugType()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getSctid

          public java.lang.String getSctid()

    - #### setSctid

          public void setSctid​(java.lang.String sctid)

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### setTypeName

          public void setTypeName​(java.lang.String typeName)

    - #### getGenericDrugtypeInfos

          public java.util.List<GenericDrugtypeInfo> getGenericDrugtypeInfos()

    - #### setGenericDrugtypeInfos

          public void setGenericDrugtypeInfos​(java.util.List<GenericDrugtypeInfo> genericDrugtypeInfos)